package com.persagy.adm.diagram.core.model.style;

import com.google.gson.annotations.Expose;

/**
 * 线的样式
 * @author zhaoyk
 */
public class LineStyle extends BaseStyle {

	public static final String STYLE_NORMAL = "normal";

	public static final String STYLE_DASH = "dash";

	public static final String STYLE_DOT = "dot";

	public static final String STYLE_DASHDOT = "dashdot";

	@Expose
	private int lineWidth = 1;

	@Expose
	private String lineStyle = STYLE_NORMAL;

	//线芯属性，有线芯时，线芯颜色使用color，背景色使用backColor
	@Expose
	private int coreWidth; //线芯的宽度(为0表示没有线芯)

	@Expose
	private String coreStyle = STYLE_DASH; //线芯的样式

	public int getLineWidth() {
		return lineWidth;
	}

	public void setLineWidth(int lineWidth) {
		this.lineWidth = lineWidth;
	}

	public String getLineStyle() {
		return lineStyle;
	}

	public void setLineStyle(String lineStyle) {
		this.lineStyle = lineStyle;
	}

	public int getCoreWidth() {
		return coreWidth;
	}

	public void setCoreWidth(int coreWidth) {
		this.coreWidth = coreWidth;
	}

	public String getCoreStyle() {
		return coreStyle;
	}

	public void setCoreStyle(String coreStyle) {
		this.coreStyle = coreStyle;
	}

}
